$AdfDhtmlCommandToolbarButtonPeer$$.$_SUB_ID_MAP$ = {dropdown:"popEl", icon:"icon"};
$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlCommandToolbarButtonPeer$$$$$GetSubIdDomElement$$($domElement$$636_subElementId$$18$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$636_subElementId$$18$$);
  if ("text" != $domElement$$636_subElementId$$18$$) {
    var $component$$2417$$ = this.$getComponent$();
    return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$636_subElementId$$18$$, $AdfDhtmlCommandToolbarButtonPeer$$.$_SUB_ID_MAP$, $component$$2417$$);
  }
  $domElement$$636_subElementId$$18$$ = this.$getDomElement$();
  return $AdfDomUtils$$.$getDescendentElement$($domElement$$636_subElementId$$18$$, "SPAN", 0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandToolbarButtonPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlCommandToolbarButtonPeer$$$$$GetBestMatchSubId$$($domElement$$637$$) {
  var $subId$$48$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$637$$, this, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$);
  if (!$subId$$48$$) {
    var $anchorElem$$1_rootNode$$25$$ = this.$getDomElement$(), $anchorElem$$1_rootNode$$25$$ = $AdfDomUtils$$.$getDescendentElement$($anchorElem$$1_rootNode$$25$$, "A", 0);
    $domElement$$637$$.parentNode == $anchorElem$$1_rootNode$$25$$ && ($subId$$48$$ = "text");
  }
  return $subId$$48$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandToolbarButtonPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetBestMatchSubId$});
